--- a/debian/rules
+++ b/debian/rules
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
-DEBUG ?= 0
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+ BITLBEE_CONFFLAGS += --strip=0 --debug=1
+endif
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+ BITLBEE_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 ifeq (,$(wildcard /usr/bin/po2debconf))
 PO2DEBCONF := no
@@ -14,8 +20,8 @@ endif
 build-arch: build-arch-stamp
 build-arch-stamp:
 	if [ ! -d debian ]; then exit 1; fi
-	./configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee $(DEB_BUILD_OPTIONS)
-	$(MAKE)
+	./configure --prefix=/usr --etcdir=/etc/bitlbee $(BITLBEE_CONFFLAGS)
+	$(MAKE) $(BITLBEE_MAKEFLAGS)
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
@@ -54,20 +60,22 @@ binary-arch: build-arch install-arch
 	cd debian/bitlbee/usr/share/; \
 		gzip -9 doc/bitlbee/changelog.Debian doc/bitlbee/changelog doc/bitlbee/user-guide.txt \
 		        doc/bitlbee/examples/* man/man8/bitlbee.8 man/man5/bitlbee.conf.5
-	
+
 	chown -R root.root debian/bitlbee/
 	find debian/bitlbee/usr/share/ -type d -exec chmod 755 {} \;
 	find debian/bitlbee/usr/share/ -type f -exec chmod 644 {} \;
-	
+
 	cp debian/bitlbee.preinst debian/bitlbee/DEBIAN/preinst
 	cp debian/bitlbee.postinst debian/bitlbee/DEBIAN/postinst
 	cp debian/bitlbee.postrm debian/bitlbee/DEBIAN/postrm
 	cp debian/bitlbee.config debian/bitlbee/DEBIAN/config
 	cp debian/bitlbee.conffiles debian/bitlbee/DEBIAN/conffiles
-	
+
 	po2debconf debian/bitlbee.templates > debian/bitlbee/DEBIAN/templates
-	
-	if [ "$(DEBUG)" = "0" ]; then strip -R .comment -R .note debian/bitlbee/usr/sbin/bitlbee; fi
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	strip -R .comment -R .note debian/bitlbee/usr/sbin/bitlbee
+endif
 
 	cd debian/bitlbee; \
 		find usr -type f -exec md5sum {} \; > DEBIAN/md5sums
@@ -81,7 +89,7 @@ endif
 	dpkg --build debian/bitlbee ..
 
 debug-build:
-	BITLBEE_VERSION=\"`date +%Y%m%d`-`hostname`-debug\" debian/rules clean binary DEBUG=1
+	BITLBEE_VERSION=\"`date +%Y%m%d`-`hostname`-debug\" debian/rules clean binary DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrip"
 
 binary: binary-arch
 build: build-arch
